%	align_TS		MATLAB function
%
%	align_TS takes to strems of TS data together with the respective
%	start structures, estimates the latest start time and chops of the
%	leading samples from the stream which started earlier.

function [DATA,START] = align_TS(d1,s(1),d2,s(2))
  % estimate which data stream starts later
  l_start = last_START(s(1),s(2));
  START = s(l_start);
  if (s(1).year == s2.year)
    t1 = s(1).sec+(60*(s(1).min+60*(s(1).hr+ ...
        (24*s(1).day+sum(months(1:s(1).mon-1))))));
    t2 = s(2).sec+(60*(s(2).min+60*(s(2).hr+ ...
        (24*s(2).day+sum(months(1:s(2).mon-1))))));
  end
  if (s(1).dt ~= s(2).dt)
    error('Sampling rates differ. Exiting!')
  end
  %
  %  chop of leading data
  t_diff = abs(t1 - t2);
  n_chop = t_diff/s(1).dt;
  if (l_start = 1)
    d1 = d1(:,n_chop:length(d1));
  elseif(l_start = 2);
    d2 = d2(:,n_chop:length(d2));
  end
  nsamp = min(length(d1,d2);
  DATA = [d1(:,1:nsamp);d2(:,1:nsamp)];
  return
  
   
  
  