%	bin_nims		MATLAB function
%
%	bin_nims reads the binary  data from the selected files
%	skips samples according to vector skip to align data
%	properly and returns a data array of size (channels
% 	x nsamp) to plot.
%
%	USAGE: function [data]= bin_nims(head,skip,nsec,k);
%
function [data]= bin_lims(head,skip,nsec,k);
global fid_bin naxes sc_factor

ndata = floor(nsec/head(k).dt);
data  = zeros(head(k).nch,ndata);

   % position file: skip header and data
   seek_status = fseek(fid_bin(k),skip(k)*4*head(k).nch/head(k).dt + 80,-1);
   if (seek_status == -1)
       set(findobj('Tag','Messages'),'String',...
           'Position in data file cannot be set as outlined - EOF?');
       return
   end
   data(1:head(k).nch,:) = fread(fid_bin(k),[head(k).nch,ndata],'int32');
         
return
