%	head_BEAR   MATLAB function 
% 	
%	reads information from header files: Start time, sampling
%	rate and # of channels. Returns header structure containing
%	start time # of channels and sampling rate.

%	USAGE: [header] = head_BEAR(cfile,k)
%

function [header] = head_BEAR(cfile,k)
global fid_bin

    charfile = char(cfile(k));
    ll = length(charfile) - 4;
    cfile_head = [charfile(1:ll),'head'];
    fid = fopen(cfile_head,'r');
    %  open the binary files here 
    cf = [charfile(1:ll),'bin'];
    fid_bin(k) = fopen(cf,'r','ieee-be');
    ctemp = fgets(fid);
    % 	find the start time of the data
    while (isempty(findstr(ctemp,'>START_TIME')))
      ctemp = fgets(fid);
    end
    n = findstr(ctemp,':');	% eliminate everything before :
    b=str2num(ctemp(n+1:length(ctemp-1)));  % crack the string
    %
    %		find DELTA_T (sampling rate in s)
    while (isempty(findstr((ctemp),'>DELTA_T')))
      ctemp = fgets(fid);
    end
    n = findstr(ctemp,':');	% elimante everything before :
    dt = str2num(ctemp(n+1:length(ctemp-1)));  % add to structure
    
    %		find NCHAN
    while (isempty(findstr((ctemp),'>NCHAN')))
      ctemp = fgets(fid);
    end
    n = findstr(ctemp,':');	% eliminate everything before :
    nch = str2num(ctemp(n+1));
    header = struct('year',b(1),'mon',b(2),'day',b(3),'hr', ...
        b(4),'min',b(5),'sec',b(6),'dt',dt,'nch',nch);  %  put into structure
    fclose(fid);

  return
  
